Models
Model catalog operations
5 endpoints
List models
List all models with optional filtering.
Parameters
providerstringqueryFilter by provider ID
tierstringqueryFilter by model tier
budgetstandardpremiumreasoningstatusstringqueryFilter by availability status
availablepreviewdeprecatedcapabilitystringqueryFilter by required capability
visiontoolsstreamingreasoninglimitintegerqueryMaximum number of results to return
Default:50offsetintegerqueryNumber of results to skip for pagination
Default:0Responses
200List of models
Response fields
dataobjectGET
/api/v1/modelscurl -X GET "https://api.uluops.ai/api/v1/models"Response
{
"data": {
"models": [
{
"provider": "...",
"modelId": "...",
"name": "...",
"family": "...",
"tier": "budget",
"status": "available",
"capabilities": {
"vision": true,
"tools": true,
"streaming": true,
"reasoning": true,
"structuredOutput": true,
"attachment": true
}
}
],
"aliases": [
{
"alias": "...",
"provider": "...",
"modelId": "...",
"scope": "global",
"deprecated": true
}
],
"total": 0,
"limit": 0,
"offset": 0,
"hasMore": true
}
}List providers
List all active AI providers.
Responses
200List of providers
Response fields
dataobjectGET
/api/v1/models/providerscurl -X GET "https://api.uluops.ai/api/v1/models/providers"Response
{
"data": {
"providers": [
{
"id": "...",
"name": "...",
"status": "active",
"logoUrl": "...",
"docUrl": "...",
"apiUrl": "..."
}
],
"total": 0
}
}Resolve model alias
Resolve a model alias to its target model.
Parameters
aliasrequiredstringpathAlias name to resolve
Responses
200Resolved model
404Resource not found
Response fields
dataobjectGET
/api/v1/models/resolve/{alias}curl -X GET "https://api.uluops.ai/api/v1/models/resolve/sonnet"Response
{
"data": {
"alias": "...",
"target": "...",
"model": {
"provider": "...",
"modelId": "...",
"name": "...",
"description": "...",
"providerModelId": "...",
"family": "...",
"capabilities": {
"vision": true,
"tools": true,
"streaming": true,
"reasoning": true,
"structuredOutput": true,
"attachment": true
},
"modalities": {
"input": [],
"output": []
},
"cost": {
"input": 0,
"output": 0,
"cacheRead": 0,
"cacheWrite": 0
},
"limits": {
"context": 0,
"output": 0
},
"tier": "budget",
"status": "available",
"releaseDate": "...",
"knowledgeCutoff": "...",
"openWeights": true,
"logoUrl": "...",
"syncedAt": "2026-01-15T10:30:00Z"
}
}
}Get a model
Get a specific model by provider and model ID.
Parameters
providerrequiredstringpathProvider ID (e.g., "anthropic")
modelIdrequiredstringpathModel ID within provider
Responses
200The model
404Resource not found
Response fields
providerstringmodelIdstringnamestringdescriptionstringproviderModelIdstringfamilystringModel family (e.g., claude-sonnet, gpt)
capabilitiesobjectmodalitiesobjectInput/output modality support
costobjectnullableToken pricing per million tokens (USD)
limitsobjectnullableContext and output token limits
tierstringModel pricing/capability tier
budgetstandardpremiumreasoningstatusstringModel availability status
availablepreviewdeprecatedreleaseDatestringdatenullableknowledgeCutoffstringdatenullableopenWeightsbooleanWhether model weights are publicly available
logoUrlstringurinullablesyncedAtstringdate-timeLast sync timestamp from models.dev
GET
/api/v1/models/{provider}/{modelId}curl -X GET "https://api.uluops.ai/api/v1/models/anthropic/claude-sonnet-4-5-20250514"Response
{
"provider": "...",
"modelId": "...",
"name": "...",
"description": "...",
"providerModelId": "...",
"family": "...",
"capabilities": {
"vision": true,
"tools": true,
"streaming": true,
"reasoning": true,
"structuredOutput": true,
"attachment": true
},
"modalities": {
"input": [],
"output": []
},
"cost": {
"input": 0,
"output": 0,
"cacheRead": 0,
"cacheWrite": 0
},
"limits": {
"context": 0,
"output": 0
},
"tier": "budget",
"status": "available",
"releaseDate": "...",
"knowledgeCutoff": "...",
"openWeights": true,
"logoUrl": "...",
"syncedAt": "2026-01-15T10:30:00Z"
}List model aliases
List all available model aliases.
Responses
200List of aliases
Response fields
dataobjectGET
/api/v1/models/aliasescurl -X GET "https://api.uluops.ai/api/v1/models/aliases"Response
{
"data": {
"aliases": [
{
"alias": "...",
"provider": "...",
"modelId": "...",
"scope": "global",
"deprecated": true
}
],
"total": 0
}
}